import request from '@/utils/request'

// 查询测试信息列表
export function listAdmin(query) {
  return request({
    url: '/goods/admin/list',
    method: 'get',
    params: query
  })
}

// 查询测试信息详细
export function getAdmin(id) {
  return request({
    url: '/goods/admin/' + id,
    method: 'get'
  })
}

// 新增测试信息
export function addAdmin(data) {
  return request({
    url: '/goods/admin',
    method: 'post',
    data: data
  })
}

// 修改测试信息
export function updateAdmin(data) {
  return request({
    url: '/goods/admin',
    method: 'put',
    data: data
  })
}

// 删除测试信息
export function delAdmin(id) {
  return request({
    url: '/goods/admin/' + id,
    method: 'delete'
  })
}
